﻿using System;
using System.Collections.Generic;
using HeuristicLab.Algorithms.MonteCarloTreeSearch.Base;

namespace Evaluation
{
    public class Run
    {
        public Run()
        {

        }

        public Run(int runNumber, int evaluations, double bestSolutionQuality, double bestKnownQuality,
            int bestSolutionFoundAt, string bestSolution,
            double evaluationsPerSecond, TimeSpan totalTime, TimeSpan bestSolutionTime,
            List<EvaluationStat> evaluationStats)
        {
            RunNumber = runNumber;
            Evaluations = evaluations;
            BestSolutionQuality = bestSolutionQuality;
            BestKnownQuality = bestKnownQuality;
            BestSolutionFoundAt = bestSolutionFoundAt;
            BestSolution = bestSolution;
            EvaluationsPerSecond = evaluationsPerSecond;
            TotalTime = totalTime;
            BestSolutionTime = bestSolutionTime;
            EvaluationStats = evaluationStats;
        }

        public int RunNumber { get; set; }
        public int Evaluations { get; set; }
        public double BestSolutionQuality { get; set; }

        public string BestSolution { get; set; }

        public double BestKnownQuality { get; set; }
        public int BestSolutionFoundAt { get; set; }

        public double EvaluationsPerSecond { get; set; }
        public TimeSpan TotalTime { get; set; }
        public TimeSpan BestSolutionTime { get; set; }
        public List<EvaluationStat> EvaluationStats { get; set; }

        public string SvgFile { get; set; }

        public TreeInfos TreeInfos { get; set; }

        public override string ToString()
        {
            return string.Format("Run #{0}", this.RunNumber);
        }
    }
}
